---
title: symbols
slug: Web/CSS/@counter-style/symbols
tags:
  - '@counter-style'
  - At-rule descriptor
  - CSS
  - CSS Counter Styles
  - CSS Descriptor
  - Reference
---
<div>{{cssref}}</div>

<p>The <strong><code>symbols</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> descriptor is used to specify the symbols that the specified counter system will use to construct counter representations.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>symbols</code> descriptor is specified as one or more <code>&lt;symbol&gt;</code>s.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>&lt;symbol&gt;</code></dt>
 <dd>Represents a symbol used within the counter system. This must be one of the following data types:
 <ul>
  <li>{{cssxref("&lt;string&gt;")}}</li>
  <li>{{cssxref("&lt;image&gt;")}} (Note: This value is "at risk" and may be removed from the specification. It is not yet implemented.)</li>
  <li>{{cssxref("&lt;custom-ident&gt;")}}</li>
 </ul>
 </dd>
</dl>

<h2 id="Description">Description</h2>

<p>A symbol can be a string, image, or identifier. It is used within the {{cssxref("@counter-style")}} <a href="/en-US/docs/Web/CSS/At-rule">at-rule</a>.</p>

<pre class="brush: css no-line-numbers notranslate">symbols: A B C D E;
symbols: "\24B6" "\24B7" "\24B8" D E;
symbols: "0" "1" "2" "4" "5" "6" "7" "8" "9";
symbols: url('first.svg') url('second.svg') url('third.svg');
symbols: indic-numbers;
</pre>

<p>The <code>symbols</code> descriptor must be specified when the value of the {{cssxref('system')}} descriptor is <code>cyclic</code>, <code>numeric</code>, <code>alphabetic</code>, <code>symbolic</code>, or <code>fixed</code>. When the <code>additive</code> system is used, use the {{cssxref('additive-symbols')}} descriptor instead to specify the symbols.</p>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_counter_symbols">Setting counter symbols</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;ul class="list"&gt;
  &lt;li&gt;One&lt;/li&gt;
  &lt;li&gt;Two&lt;/li&gt;
  &lt;li&gt;Three&lt;/li&gt;
  &lt;li&gt;Four&lt;/li&gt;
  &lt;li&gt;Five&lt;/li&gt;
&lt;/ul&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">@counter-style symbols-example {
  system: fixed;
  symbols: A "1" "\24B7" D E;
}

.list {
  list-style: symbols-example;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Setting_counter_symbols')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Counter Styles', '#counter-style-symbols', 'symbols')}}</td>
   <td>{{Spec2('CSS3 Counter Styles')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.counter-style.symbols")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The <code>symbols</code> descriptor is used within the {{cssxref("@counter-style")}} at-rule.</li>
 <li>{{Cssxref("list-style")}}, {{Cssxref("list-style-image")}}, {{Cssxref("list-style-position")}}</li>
 <li>{{cssxref("symbols", "symbols()")}}, the functional notation creating anonymous counter styles</li>
 <li>{{cssxref("url()", "url()")}} function</li>
</ul>
